/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2011, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

//Action.java
//Copyright (c) Kawan Softwares S.A.S, 2011
//
//Last Updates: 
// 23 dc. 2009 15:36:14 Nicolas de Pomereu
// 08/12/11 19:05 NDP : Action: add CALL_ACTION_HTML_ENCODED

package org.awakefw.file.util.parms;

/**
 * @author Nicolas de Pomereu
 * 
 */
public class Action {

    public static final String BEFORE_LOGIN_ACTION = "BEFORE_LOGIN_ACTION";
    public static final String LOGIN_ACTION = "LOGIN_ACTION";

    public static final String CALL_ACTION = "CALL_ACTION";
    public static final String CALL_ACTION_HTML_ENCODED ="CALL_ACTION_HTML_ENCODED";
    
    public static final String GET_FILE_LENGTH_ACTION = "GET_FILE_LENGTH_ACTION";
    public static final String DELETE_FILE_ACTION = "DELETE_FILE_ACTION";
    public static final String MKDIRS_ACTION = "MKDIRS_ACTION";
    public static final String DOWNLOAD_FILE_ACTION = "DOWNLOAD_FILE_ACTION";
    public static final String UPLOAD_FILE_ACTION = "UPLOAD_FILE_ACTION";

    public static final String LIST_DIRS_IN_DIR_ACTION = "LIST_DIRS_IN_DIR_ACTION";
    public static final String LIST_FILES_IN_DIR_ACTION = "LIST_FILES_IN_DIR_ACTION";

    /**
     * Protected constructor
     */
    protected Action() {

    }

}
